<div id="id01" class="modal">
  <form
    class="modal-content animate"
    name="form"
    novalidate
    #f="ngForm"
    (ngSubmit)="f.form.valid && onLogin()"
  >
    <div class="imgcontainer"></div>

    <div class="container">
      <label for="uname"><b>Username</b></label>

     
      <input
        type="text"
        class="form-control"
        id="username"
        name="username"
        required
        autocomplete="off"
        [(ngModel)]="loginObj.username"
        #username="ngModel"
        [ngClass]="{ 'is-invalid': f.submitted && username.invalid }"
      />

      <app-validation-error
        class="invalid-feedback"
        [control]="username"
        [messages]="{
          required: 'Username is required...',
         
        }"
        [submitted]="f.submitted"
      >
      </app-validation-error>
      <label for="psw"><b>Password</b></label>
     
      <input
      type="password"
      class="form-control"
      id="password"
      name="password"
      required
      [(ngModel)]="loginObj.password"
      #password="ngModel"
      [ngClass]="{ 'is-invalid': f.submitted && password.invalid }"
    />

    <app-validation-error
    class="invalid-feedback"
    [control]="password"
    [messages]="{
      required: 'Password is required...',
     
    }"
    [submitted]="f.submitted"
  >
  </app-validation-error>
      <button type="submit">Login</button>
    </div>
  </form>
</div>
